Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA::WrongTransaction Exception Reference

UserException for DII requests. More...

`#include <WrongTransactionC.h>`

List of all members.

## Public Methods
| WrongTransaction (void)
| WrongTransaction (const WrongTransaction &)
| ~WrongTransaction (void)
WrongTransaction & | operator= (const WrongTransaction &)
virtual CORBA::Exception * | _tao_duplicate (void) const
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &ACE_ENV_ARG_DECL_NOT_USED)
virtual CORBA::TypeCode_ptr | _type (void) const
## Static Public Methods
void | _tao_any_destructor (void *)
WrongTransaction * | _downcast (CORBA::Exception *)
CORBA::Exception * | _alloc (void)

## Detailed Description

UserException for DII requests.

Exceptions:

  WrongTransaction |

This exception is thrown if a CORBA Request is implicitly associated with a transaction and is found to have an error in its parameters when checked at runtime (invocation).

## Constructor & Destructor Documentation

CORBA::WrongTransaction::WrongTransaction | ( | void |  | ) |

CORBA::WrongTransaction::WrongTransaction | ( | const WrongTransaction & |  | ) |

CORBA::WrongTransaction::~WrongTransaction | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * CORBA::WrongTransaction::_alloc | ( | void |  | ) | `[static]`

CORBA::WrongTransaction * CORBA::WrongTransaction::_downcast | ( | CORBA::Exception * | exc | ) | `[static]`

void CORBA::WrongTransaction::_raise | ( | void |  | ) | `[virtual]`

void CORBA::WrongTransaction::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

virtual void CORBA::WrongTransaction::_tao_decode | ( | TAO_InputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

CORBA::Exception * CORBA::WrongTransaction::_tao_duplicate | ( | void |  | ) | const`[virtual]`

virtual void CORBA::WrongTransaction::_tao_encode | ( | TAO_OutputCDR & | ACE_ENV_ARG_DECL_NOT_USED | ) | const`[virtual]`

virtual CORBA::TypeCode_ptr CORBA::WrongTransaction::_type | ( | void |  | ) | const`[virtual]`

WrongTransaction& CORBA::WrongTransaction::operator= | ( | const WrongTransaction & |  | ) |

The documentation for this exception was generated from the following files:

- WrongTransaction.pidl
- WrongTransactionC.h
- WrongTransactionC.cpp